var observer = new MutationObserver(function (mutations) {
    mutations.forEach(mutation => {
        if (typeof $ === "undefined")
            return;

        if (mutation.type === "childList") {
            mutation.addedNodes.forEach(node => {

                if (node.tagName === "DIV" && node.id === "product-menu-bar") {
                    $(".productname", node).text("The Muppet Show");
                    $("img.userimage", node).attr("src", "Resources/Images/_user_kermit_32.png");
                };

                if (node.tagName === "DIV" && node.classList.contains("current-user-ctxmenu-container")) {
                    $("span.user-info-name").text("Kermit the Frog");
                    $("img.user-info-image", node).attr("src", "Resources/Images/_user_kermit_56.png");
                };

                if (node.tagName === "LI") {
                    $("div.ms-nav-stack-image.icon-Cue_StackZero")
                        .attr("class", "ms-nav-stack-image")
                        .html("<img src='Resources/Images/_icon_kermit.png'>")
                        .closest("a.ms-nav-stack-action")
                        .css("background-color", "#00a086");
                    $("div.ms-nav-stack-image.icon-Cue_StackMedium")
                        .attr("class", "ms-nav-stack-image")
                        .html("<img src='Resources/Images/_icon_gonzo.png'>")
                        .closest("a.ms-nav-stack-action")
                        .css("background-color", "#7a79ad");
                    $("div.ms-nav-stack-image.icon-Cue_Calendar")
                        .attr("class", "ms-nav-stack-image")
                        .html("<img src='Resources/Images/_icon_piggy.png'>")
                        .closest("a.ms-nav-stack-action")
                        .css("background-color", "#d15370");
                    $("div.ms-nav-stack-image.icon-Cue_StackSmall")
                        .attr("class", "ms-nav-stack-image")
                        .html("<img src='Resources/Images/_icon_scooter.png'>")
                        .closest("a.ms-nav-stack-action")
                        .css("background-color", "#835344");
                    $("div.ms-nav-stack-image.icon-Cue_Checklist")
                        .attr("class", "ms-nav-stack-image")
                        .html("<img src='Resources/Images/_icon_fozzie.png'>")
                        .closest("a.ms-nav-stack-action")
                        .css("background-color", "#c5a500");

                    //ms-nav-stack-image icon-Cue_Checklist 

                    //ms-nav-stack-image icon-Cue_StackSmall 
                };
                if (node.tagName === "DIV" && node.classList.contains("ms-nav-stack-image"))
                    debugger; // icon-Cue_StackZero "))
            });
        };

    });
});

observer.observe(document.documentElement, {
    attributes: true,
    characterData: true,
    childList: true,
    subtree: true,
    attributeOldValue: true,
    characterDataOldValue: true
})